## CalDAVPrincipal

Description

A class for things to do with a DAV Principal

Located in /inc/CalDAVPrincipal.php (line 25)

Variable Summary
Whether $by_email
RFC4791: $calendar_home_set
RFC3744: $group_membership
RFC3744: $group_member_set
caldav-cu-proxy-02: $read_proxy_for
caldav-cu-proxy-02: $read_proxy_group
draft-desruisseaux-caldav-sched-03: $schedule_inbox_url
draft-desruisseaux-caldav-sched-03: $schedule_outbox_url
The $url
caldav-cu-proxy-02: $write_proxy_for
caldav-cu-proxy-02: $write_proxy_group
Method Summary
boolean CalDAVPrincipal ([mixed $parameters = null])
void AsCollection ()
void InitialiseRecord (object $usr)
string RenderAsXML (array $properties, &$reply, [boolean $props_only = false], reference $reply)
void UsernameFromEMail (string $email)
void UsernameFromPath (string $path, [array $options = null])
Variables
Whether $by_email (line 53)

- var: or not we are using an e-mail address based URL.

RFC4791: $calendar_home_set (line 36)

- var: Identifies the URL(s) of any WebDAV collections that contain calendar collections owned by the associated principal resource.

RFC3744: $group_membership (line 63)

- var: The groups in which the principal is directly a member.

RFC3744: $group_member_set (line 58)

- var: The principals that are direct members of this group.

caldav-cu-proxy-02: $read_proxy_for (line 68)

- var: The principals which this one has read permissions on.

caldav-cu-proxy-02: $read_proxy_group (line 78)

- var: The principals which have read permissions on this one.

draft-desruisseaux-caldav-sched-03: $schedule_inbox_url (line 42)

- var: Identify the URL of the scheduling Inbox collection owned by the associated principal resource.

draft-desruisseaux-caldav-sched-03: $schedule_outbox_url (line 48)

- var: Identify the URL of the scheduling Outbox collection owned by the associated principal resource.

The $url (line 30)

- var: home URL of the principal

caldav-cu-proxy-02: $write_proxy_for (line 73)

- var: The principals which this one has read-write prmissions for.

caldav-cu-proxy-02: $write_proxy_group (line 83)

- var: The principals which have write permissions on this one.

Methods
Constructor CalDAVPrincipal (line 95)

Constructor

- return: Whether we actually read data from the DB to initialise the record.

boolean CalDAVPrincipal ([mixed $parameters = null])

- mixed $parameters: If null, an empty Principal is created. If it is an integer then that ID is read (if possible). If it is an array then the Principal matching the supplied elements is read. If it is an object then it is expected to be a 'usr' record that was read elsewhere.

AsCollection (line 295)

Returns a representation of the principal as a collection

void AsCollection ()
InitialiseRecord (line 147)

Initialise the Principal object from a $usr record from the DB.

void InitialiseRecord (object $usr)

- object $usr: The usr record from the DB.

RenderAsXML (line 321)

Render XML for a single Principal (user) from the DB

- return: An XML fragment with the requested properties for this principal

string RenderAsXML (array $properties, &$reply, [boolean $props_only = false], reference $reply)

- array $properties: The requested properties for this principal
- reference $reply: A reference to the XMLDocument being used for the reply
- boolean $props_only: Default false. If true will only return the fragment with the properties, not a full response fragment.
- &$reply

UsernameFromEMail (line 281)

Work out the username, based on the given e-mail

void UsernameFromEMail (string $email)

- string $email: The email address to be used.

UsernameFromPath (line 247)

Work out the username, based on elements of the path.

void UsernameFromPath (string $path, [array $options = null])

- string $path: The path to be used.
- array $options: The request options, controlling whether e-mail paths are allowed.

Documentation generated on Sat, 24 Oct 2009 12:40:38 +1300 by phpDocumentor 1.3.2